
*** dcl-5.1 以降の履歴

2000/04/17	塩谷 (shiotani@ees.hokudai.ac.jp)

	* dcl-5.1 のレリース

2000/04/21	石岡 (ishioka@ms.u-tokyo.ac.jp)

	* src/math2/shtlib の修正

2000/04/28	酒井 (sakai@gaia.h.kyoto-u.ac.jp) fixed
		田中 (taichu@ihas.nagoya-u.ac.jp) reported

	* src/math1/ctrlib/cr3s.f の修正

2000/05/04	酒井 (sakai@gaia.h.kyoto-u.ac.jp) fixed again!

	* src/math1/ctrlib/cr3s.f の修正

2000/08/24	酒井 (sakai@gaia.h.kyoto-u.ac.jp)

	* src/grph1/sgpack/sglqnp.f, sgpqnp.f の修正

2000/08/25	酒井 (sakai@gaia.h.kyoto-u.ac.jp)

	* src/grph1/scpack/scplzv.f の修正

2000/09/06	豊田 (toyoda@gfd-dennou.org)

	* src/grph2/uspack/uschvl.f, grph2/ulpack/ulxlog.f, ulylog.f の修正

2000/10/01	塩谷 (shiotani@ees.hokudai.ac.jp)
		内藤 (naito@kugi.kyoto-u.ac.jp) suggested
		
	* src/grph2/udpack 内部変数 LCENT (メッセージのセンタリング)追加

2000/10/02	塩谷 (shiotani@ees.hokudai.ac.jp)
		余田 (yoden@kugi.kyoto-u.ac.jp) reported

	* src/grph1/sgpack longname LINE_CYCLE_LENGTH の重複修正

2000/10/02	塩谷 (shiotani@ees.hokudai.ac.jp)

	* ライブラリ名(libdcl.a)にバージョンを追加. 
	  (たとえば libdcl511.a のようになる)

2000/10/24	黒井 (keiko@gfd-dennou.org)

	* demo/gokuraku/layout/lay1.f の修正

2000/10/24	黒井 (keiko@gfd-dennou.org)

	* src/math1/syslib/glrget.f の修正

2000/10/24	塩谷 (shiotani@ees.hokudai.ac.jp)

	* dcl-5.2 のレリース

2000/11/17	塩谷 (shiotani@ees.hokudai.ac.jp)

	* ライブラリ名のルール変更
	  dcl$(DCLVERNUM)$(DCLLANG) -> $(DCLLANG)dcl$(DCLVERNUM)

2000/11/17	塩谷 (shiotani@ees.hokudai.ac.jp)
		堀之内 (horinout@kurasc.kyoto-u.ac.jp) reported

	* src/math2/odelib/odrqnp.f の修正

2000/11/18	塩谷 (shiotani@ees.hokudai.ac.jp)
		豊田 (toyoda@gfd-dennou.org) reported

	* src/grph2/uepack/uegtla.f の修正

2000/11/18	塩谷 (shiotani@ees.hokudai.ac.jp)
		竹広 (takepiro@geo.kyushu-u.ac.jp) suggested

	* src/env2 以下の Makefile 修正

2000/11/18	塩谷 (shiotani@ees.hokudai.ac.jp)

	* Mkinclude.in に .c のサフィックスルールを追加

2000/11/24	黒井 (keiko@gfd-dennou.org)

	* demo/grph1/scpack/scpkt1.f の修正

2001/02/27	塩谷 (shiotani@ees.hokudai.ac.jp)
		西澤 (seiya@kugi.kyoto-u.ac.jp) reported

	* aclocal.m4 の修正

2001/06/20	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)
		竹広 (takepiro@geo.kyushu-u.ac.jp) suggested

	* dclconfig から dcldir オプションの削除
	* INSTALL の修正

2001/08/11	豊田 (toyoda@gfd-dennou.org)

	* src/grph1/swpack/ztpack.c の修正

2001/09/03	豊田 (toyoda@gfd-dennou.org)
		塩谷 (shiotani@kurasc.kyoto-u.ac.jp) reported

	* src/grph1/swpack/ztpack.c の修正

2001/09/21	鍵本 (kagimoto@jamstec.go.jp)

	* src/grph2/uwpack/uwqgxi.f, uwqgyi.f の修正

2001/10/26	酒井 (sakai@gaia.h.kyoto-u.ac.jp)

	* src/grph2/uspack/usaxsc.f の修正
	* src/grph2/ulpack/ulxlog.f, ulylog.f の修正

2002/01/07	水田 (mizuta@kugi.kyoto-u.ac.jp)

	* src/grph1/swpack/swcqnp.f の修正

2002/01/17	酒井 (sakai@gaia.h.kyoto-u.ac.jp)
		塩谷 (shiotani@kurasc.kyoto-u.ac.jp) reported

	* src/math1/ctrlib/cr3s.f の修正

2002/01/18	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)

	* sys/Mkinclude.xxx の修正

2002/01/18	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)

	* Makefile 群の書き換え

2002/06/06      塩谷 (shiotani@kurasc.kyoto-u.ac.jp)
	* dvlop/pslib/dclpsrmcm の修正

2003/01/24	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)

	* dcl-5.3 のテストレリース(dcl-5.3.x)

2003/01/27	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)

	* dvlop/texsty の削除

2003/01/29	鍵本 (kagimoto@jamstec.go.jp)

	* src/grph2/uepack/uearea.f の修正

2003/02/03	鍵本 (kagimoto@jamstec.go.jp)
		高橋 (takahasi@kugi.kyoto-u.ac.jp) reported

	* aclocal.m4 の修正 (ifc の取り込み)

2003/02/15	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)
		高橋 (takahasi@kugi.kyoto-u.ac.jp) suggested

	* Makefile のターゲット clean.all を distclean に変更

2003/02/15	鍵本 (kagimoto@jamstec.go.jp)
		堀之内 (horinout@kurasc.kyoto-u.ac.jp) reported

	* aclocal.m4, Mkinclude.in の修正 (ifc のオプションの取り込み)

2003/06/17	西澤 (seiya@kugi.kyoto-u.ac.jp)

	* src/math2/odelib/odrqnp.f の修正

2003/06/17	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)
		堀之内 (horinout@kurasc.kyoto-u.ac.jp) suggested

	* src/grph1/szpack/szoplc.f の変更 (MAXTMPを400に)
	* src/grph1/sgpack/sgiqnp.f の変更 (NBUFFを200に)

2003/06/19	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)

	* autoconf-2.53 で configure を再作成

2003/06/19	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)

	* src/grph1/sgpack/sgiqnp.f の修正

2003/06/19	堀之内 (horinout@kurasc.kyoto-u.ac.jp)

	* 負の領域での対数変換サポート; 以下が対象
	  src/grph1/scpack/scstrf.f, src/grph1/sgpack/sgstrf.f,
	  src/grph1/stpack/stftr3.f, src/grph1/stpack/stftrn.f,
	  src/grph2/ulpack/ulxlog.f, src/grph2/ulpack/ulylog.f

2003/06/19	鍵本 (kagimoto@jamstec.go.jp)
		内藤 (naito@kugi.kyoto-u.ac.jp)
		塩谷 (shiotani@kurasc.kyoto-u.ac.jp)

	* pslib の整理; src/env2/pslib として置く

2003/06/20	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)
		鍵本 (kagimoto@jamstec.go.jp) reported

	* src/grph2/udpack/udcntz.f の修正

2003/06/21	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)
		堀之内 (horinout@kurasc.kyoto-u.ac.jp) suggested

	* src/grph2/uepack/uetonc.f, uetonf.f MAXPXL を 4000 に変更

2003/06/23	鍵本 (kagimoto@jamstec.go.jp)

	* src/grph2/uwpack 作業配列(NW)の大きさを Mkinclude 内の
	  MAXNGRID で指定(デフォルト 4000)

2003/06/24	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)

	* src/grph1/stpack/stftr3.f の修正

2004/02/10	西澤 (seiya@kugi.kyoto-u.ac.jp)

	* Make 回りの gtk 対応パッチ

2004/03/02	塩谷 (shiotani@kurasc.kyoto-u.ac.jp)

	* src/grph1/swpack/swiqnp.g 化; 上記 gtk 対応

2004/04/21	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		堀之内 (horinout@rish.kyoto-u.ac.jp) suggested

	* src/grph1/swpack/zxpack.c の修正

2004/04/21	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		内藤 (naito@kugi.kyoto-u.ac.jp) reported

	* src/grph1/swpack/swpget.f の修正
	* src/math1/syslib/sgpget.f の修正

2004/04/21	西澤 (seiya@kugi.kyoto-u.ac.jp)

	* aclocal.m4 の修正(インテルFortranコンパイラV8対応)

2004/04/29	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* src/grph1/sgpack, swpack カラーマップを番号で指定可能とする

2004/05/04	堀之内 (horinout@rish.kyoto-u.ac.jp)
		高島 (hisahiro@rish.kyoto-u.ac.jp)

	* カラーマップの提供

2004/05/04	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* src/grph1/sgpack/sglqnp.f デフォルト値の変更

2004/06/21	市川 (ichikawa@riam.kyushu-u.ac.jp)
		塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* src/math1/syslib/glrqnp.f, gllqnp.f, gliqnp.f, glpget.f の修正

2004/07/06	鍵本 (kagimoto@jamstec.go.jp)

	* configure.in の修正

2004/07/09	鍵本 (kagimoto@jamstec.go.jp)

	* src/grph1/stpack/stfpr3.f の修正
	* src/grph1/swpack/swpack.f, zxpack.c, z1pack.c, zgpack.c の修正
	* src/grph2/uepack/uetonf.f, uetonc.f の修正

2004/07/09	鍵本 (kagimoto@jamstec.go.jp)

	* src/grph2/uwpack/uwqgxi.g, uwqgyi.g の修正

2004/09/04	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		西澤 (seiya@kugi.kyoto-u.ac.jp)

	* configure.in の修正

2004/09/11	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* Makefile の Cygwin 対応

2004/09/18	堀之内 (horinout@rish.kyoto-u.ac.jp)
		塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* 補間形座標変換の取り込み

2004/09/18	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* カラーマップ反転の取り込み

2004/09/21	西澤 (seiya@kugi.kyoto-u.ac.jp)

	* src/grph1/swpack/zgpack.c のカラーマップ反転対応

2004/10/02	鍵本 (kagimoto@jamstec.go.jp)

	* 陸地の塗り潰しの取り込み

2004/10/12	西澤 (seiya@kugi.kyoto-u.ac.jp)

	* src/grph1/swpack/zgpack.c の修正

2004/10/29	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* dcl-5.3 のレリース

2005/05/24	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* src/math1/gt2dlib/g2fctr.g の修正

2005/05/25	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		豊田 (toyoda@gfd-dennou.org) reported

	* src/grph1/szpack/sztnsv.f の修正 (do 変数の整数化)

2005/05/25	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		清水 (sdais@affrc.go.jp) reported

	* src/env1/dclexec/Makefile の修正

2005/05/25	鍵本 (kagimoto@jamstec.go.jp)

	* src/grph1/swpack/swrqnp.f の修正

2005/05/25	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		鍵本 (kagimoto@jamstec.go.jp)

	* src/env1/colormap/cmaplist の修正

2005/05/25	鍵本 (kagimoto@jamstec.go.jp)

	* src/grph2/umpack/umfmap.f の修正

2005/05/25	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		堀之内 (horinout@rish.kyoto-u.ac.jp) suggested

	* src/grph1/sgpack/sgiqnp.f の修正 (IWSの初期値変更)
	* src/grph1/sgpack/sgpqnp.f の修正 (IWSの初期値変更)
	* src/grph1/swpack/swiqnp.f の修正 (IWSの初期値変更)
	* src/grph1/swpack/swpqnp.f の修正 (IWSの初期値変更)

2005/05/26	鍵本 (kagimoto@jamstec.go.jp)

	* src/env1/mapdata/coast_world.asc の修正
	* src/env1/mapdata/coast_japan.asc の修正

2005/05/26	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* src/grph2/umpack/umspnt.f の修正

2005/05/26	高木 (takagi@eps.s.u-tokyo.ac.jp)

	* src/grph1/csgi/csgi.f.other の修正

2005/06/01	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		鍵本 (kagimoto@jamstec.go.jp)

	* 背景色を使えるように変更(SGPACK の 'IBGCLI' 導入)

2005/06/02	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* dcl-5.3.1 のレリース

2006/09/18	鍵本 (kagimoto@jamstec.go.jp) [dcusers-ml:2005/09/28]

	* src/grph2/umpack/umpmap.f の修正

2006/09/18	西澤 (seiya@kugi.kyoto-u.ac.jp) [dennou-ruby:2005/10/10]

	* src/grph1/swpack/zgpack.c の修正

2006/09/18	鍵本 (kagimoto@jamstec.go.jp) [dcusers-ml:2006/01/13]

	* src/env2/pslib/dclpsrgb2cmyk の追加

2006/09/19	鍵本 (kagimoto@jamstec.go.jp) [dcdvlop:2005/06/20]

	* lib/Makefile の修正

2006/09/19	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		神代 (koshiro@rish.kyoto-u.ac.jp) ほか reported [dcdvlop:2006/09/14]

	* src/grph1/swpack/zxpack.c の修正
	* src/grph1/swpack/zgpack.c の修正

2006/09/21	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		神代 (koshiro@rish.kyoto-u.ac.jp) ほか reported

	* src/misc1/clcklib/clckst.c の修正
	* src/grph1/swpack/z1pack.c の修正
	* src/grph1/swpack/ztpack.c の修正
	* src/grph1/swpack/zgpack.c の修正
	* src/grph1/swpack/zxpack.c の修正

	* demo/grph1/scpack/scpkt3.f の修正
	* demo/grph2/umpack/test05.f の修正
	* demo/grph2/umpack/test09.f の修正

2006/09/21	鍵本 (kagimoto@jamstec.go.jp)

	* aclocat.m4 の修正

2006/09/21	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* src/env2/dclexec/dclexec.c の修正

2006/09/30	保坂 (mhosaka@mri-jma.go.jp) [dcdvlop:2006/09/22]

	* src/grph2/uepack/uetonc.f の修正

2006/09/30	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* dcl-5.3.2 のレリース

2006/10/05	鍵本 (kagimoto@jamstec.go.jp)

	* src/grph1/swpack/z1pack.c の修正
	* src/grph1/swpack/zgpack.c の修正
	* src/grph1/swpack/zxpack.c の修正
	* src/math1/syslib/rpnxfl.f の修正 [dcusers-ml:2005/06/04]

2006/11/05	西澤 (seiya@kugi.kyoto-u.ac.jp)

	* カラーマップの提供(colormap_14.x11)

2007/04/07	鍵本 (kagimoto@jamstec.go.jp) [dcdvlop:2005/02/01]

	* src/grph1/szpack/sztnsv.f の修正

2007/04/07	鍵本 (kagimoto@jamstec.go.jp)

	* C言語のソースコードで64ビット対応/ANSIスタイルへの変更

2007/04/07	鍵本 (kagimoto@jamstec.go.jp)

	* aclocat.m4 の修正

2007/04/14	鍵本 (kagimoto@jamstec.go.jp)
		堀之内 (horinout@rish.kyoto-u.ac.jp) reported [dcdvlop:2007/04/13]

	* src/grph2/uepack の修正

2007/04/14	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* src/grph2/uspack/usaxdv.f, usaxsc.f の修正

2007/04/14	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* src/math1/maplib/mpznwt.f の修正

2007/04/16	鍵本 (kagimoto@jamstec.go.jp)
		神代 (koshiro@rish.kyoto-u.ac.jp) reported

	* aclocat.m4 の修正

2007/04/16	鍵本 (kagimoto@jamstec.go.jp)

	* src/math1/gt2dlib/g2fctr.g の修正

2007/04/14	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* dcl-5.3.3 のレリース

2007/04/18	鍵本 (kagimoto@jamstec.go.jp)
		村上 (murakami@ahs.scitec.kobe-u.ac.jp) reported

	* configure, aclocat.m4 の修正

2007/04/18	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* [dcl-5.3.3 資源の置き換え]

2007/04/28	鍵本 (kagimoto@jamstec.go.jp)
		神代 (koshiro@rish.kyoto-u.ac.jp) reported

	* src/grph1/swpack/zgpack.c の修正

2007/04/28	塩谷 (shiotani@rish.kyoto-u.ac.jp)

	* [dcl-5.3.3 資源の置き換え]

2007/11/06	乙部 (otobe@gfd-dennou.org)

	* src/grph2/uepack/uetonc.f の修正(神代(koshiro@gfd-dennou.org) reported)
	* DCL font の追加(鍵本(kagimoto@jamstec.go.jp))
	* enable to change compression parameter of saved image
		西澤(seiya@kurims.kyoto-u.ac.jp))
	* COLORMAP の追加(神代(koshiro@gfd-dennou.org))

2007/12/17	乙部 (otobe@gfd-dennou.org)

	* COLORMAP の追加(神代(koshiro@gfd-dennou.org))
	* Makefile.in 追加（レポジトリに追加忘れ）

2010/12/20	佐々木 (uwabami@gfd-dennou.org)
		鍵本 (tak.keybook@gmail.com) reported [dcdvlop:2008/04/25]

	* src/env2/pslib/dclpsrot の修正

2011/01/11	塩谷 (shiotani@rish.kyoto-u.ac.jp)
		鍵本 (kagimoto@jamstec.go.jp) reported [2007/07/07]

	* src/grph1/szpack/sztxop.f の修正
	  (ifontの書き込み)

2011/01/27	乙部 (otobe@gfd-dennou.org)
		大塚 (otsuka@kugi.kyoto-u.ac.jp) reported [dcusers-ml:2011/01/13]

	* src/grph1/swpack/swpack.f の修正
	  (クローズした後のエラー抑制)

2011/02/04	神代 (koshiro@gfd-dennou.org)
		西澤 (seiya@kurims.kyoto-u.ac.jp) reported [dcdvlop:2007/09/29]

	* src/grph1/swpack/swpack.f, swrqnp.f, zgpack.c の修正
	  (iws=4 でダンプされる画像の圧縮率変更機能の追加)

2011/02/07	神代 (koshiro@gfd-dennou.org)
		堀之内 (horinout@rish.kyoto-u.ac.jp) reported [dcdvlop:2008/06/01]

	* src/grph1/swpack/swpack.f の修正
	  (読み込むべきカラーマップファイルが DSPATHと'colormap.x11'
	   を連結したものである場合のみ, カラーマップファイル番号指定
	   を有効にする. 番号指定導入以前と同様に, SWCSET等で CLRMAP
	   が変更してある場合や, カレントディレクトリあるいは DUPATH
	   に 'colormap.x11' がある場合は, そちらを優先する.)

2011/02/07	神代 (koshiro@gfd-dennou.org) [dcdvlop:2007/08/30]

	* src/env1/fonts/font1n, font2n の変更
	  (ギリシア文字の変体小文字[6文字]を追加: 240-245)

2011/02/07	神代 (koshiro@gfd-dennou.org)
		鍵本 (kagimoto@jamstec.go.jp) reported [dcdvlop:2007/10/03]

	* src/env2/pslib/dclpsfont の修正
	  (複合フォント対応, 追加されたギリシア文字変体小文字の対応)

2011/02/07	神代 (koshiro@gfd-dennou.org) [dcdvlop:2007/07/14]

	* src/grph2/uepack/uetonc.f の修正
	  (トーンレベルを UEGTLA で min, max を指定したときに
	   min 以下 max 以上も塗られてしまう不具合の修正)

2011/02/07	神代 (koshiro@gfd-dennou.org) [dcdvlop:2008/09/19]

	* src/grph2/uepack/uetonb.f の追加
	  (uetone の機能を使ってモザイク描画をするルーチン; uetonf を
	   の機能を使った uetonc に対応するもの)

2011/02/07	神代 (koshiro@gfd-dennou.org)

	* カラーマップの提供 (colormap_15.x11 ～ colormap_78.x11)
	* src/grph1/swpack/swcmll.f の変更
	  (カラーマップを99個まで登録できるように)

2011/02/10	乙部 (otobe@gfd-dennou.org)
		豊田 (toyoda@gfd-dennou.org) reported [dcusers-ml:2008/07/14]

	* DCLの地図投影ルーチンにサンソン図法・ミラー図法・心射図法など
	  6種類を追加
	  - src/grph1/sgpack/mpfcct.f, mpfcya.f, mpfcyb.f, mpfcyc.f,
	    mpfglb.f, mpfgno.f, mpfmil.f, mpfplc.f, mpfpt2.f, mpfrbs.f,
	    mpfsin.f, mpfvdg.f, mpnwtn.f の追加

2011/02/10	乙部 (otobe@gfd-dennou.org)

	* dcl-5.3.4 のレリース

2011/02/13	乙部 (otobe@gfd-dennou.org)
		佐々木 (uwabami@gfd-dennou.org) reported [dcdvlop:2011/02/13]

	* configure.in の DCLVERSION を 5.3.3 から 5.3.4 に修正
	* configure の DCLVERNUM を 533 から 534 に修正

2011/02/13	乙部 (otobe@gfd-dennou.org)

	* dcl-5.3.4.1 のレリース

2011/02/18	神代 (koshiro@gfd-dennou.org)

	* 追加の地図投影ルーチンが正しく動作するように修正
	  - src/grph1/sgpack/mpfcct.f, mpfcya.f, mpfcyb.f, mpfcyc.f,
	    mpfglb.f, mpfgno.f, mpfmil.f, mpfplc.f, mpfpt2.f, mpfrbs.f,
	    mpfsin.f, mpfvdg.f, mpnwtn.f を math1/maplib へ移動
	  - src/grph1/sgpack/sgstrf.f, sgtrqf.f の変更
	  - src/grph1/stpack/stftrn.f の変更
	  - src/grph1/stpack/stnusr.f の追加 (stfusr.f は使わない)
	* src/math1/maplib/mpfpt2.f, mpnwtn.f, mpxvdg.f の修正
	  (f2c した際に warning が出ないようにする)
	* src/grph1/stpack/stnusr.f の修正
	  (f2c した際に warning が出ないようにする)
	* demo/grph2/umpack/test10.f の追加
	* demo/grph2/udegpk/u2df09[bcef].f の追加
	* IMG_dclclr.png, IMG_g2pk01.png, IMG_g2pk02.png, IMG_umpack.png の修正
	  (ファイルが壊れていた)

2011/02/22	神代 (koshiro@gfd-dennou.org)

	* dcl-5.3.4.2 のレリース

2011/02/27	乙部 (otobe@gfd-dennou.org)

	* index.html (Release Note) の変更

2011/03/02	神代 (koshiro@gfd-dennou.org)

	* src/grph1/stpack/stnusr.f を stfusr.f に rename
	  (このルーチンによる追加地図投影の試用は, itr=99 で指定
	   されるユーザ定義関数のサンプルであることを明確化.
	   ユーザは STFUSR, STIUSR, STSUSR を定義することにより,
	   itr=99 の実装を差し替えることができる)

2011/08/21	乙部 (otobe@gfd-dennou.org)

	* コマンドライン引数を取得する関数をconfigureで判定できるようにした.
	  Fortran2003の規格にあるものと優先しそれが使えない場合はデファクトを
           それもない場合に初めてあきらめるようにした.

2011/11/18	乙部 (otobe@gfd-dennou.org)

	* Windows版ではカラーマップの最大値が20だったのを99までに修正。
	* カラーマップの1番目は特殊に扱われているが、それを外した。こうしないと
	  カラーマップのリストを描いたときに0番が黒(1番)になってしまう。

2011/11/28	乙部 (otobe@gfd-dennou.org)

	* Windows版でもgtkドライバが使用できるようにした。
	* gtkドライバでは裏画面描画しかなかったが表画面描画もできる様にした。
	* X のドライバで常にダンプされるバグを修正した。

2011/12/04 	乙部 (otobe@gfd-dennou.org)

	* PSでもカラーマップが即時変更されるようになった。
	* 5.3.4.3 時に起こしたエンバグを修正
		a)ximg01.fでPS時に線が描かれない。
		b)Xではハードフィル時にブラシが設定されない。
		c)修正済みだが、Xのドライバで常にダンプされる問題の原因を特定。
	* トーンの時にカラーマップの1番目を特殊に扱うよう戻した。
	  外れていて欲しいこともあるので、LCLCMV という SZPACKにフラグを増やした。
	  demo/rakuraku/color/color1.f に使用のサンプルを追加した。

2011/12/12	乙部 (otobe@gfd-dennou.org)

	* ラインのカラーインデックスをswpack側で設定する時に一つずれていたことがあったのを
	  修正。(PSの場合のみ顕在化していた。)

2012/01/11	乙部 (otobe@gfd-dennou.org)

	* カラー0番の使用を中止した。IBGCLIを使用するのが正式であるため.

2012/01/11	乙部 (otobe@gfd-dennou.org)
		村上 (murashin@gfd-dennou.org) reported [dcdvlop:2012/01/04]

	* automake などの互換性に関する問題を訂正した.

2012/01/29	乙部 (otobe@gfd-dennou.org)

	* ライセンス上の問題をクリアするためrngu3.f は除去された.
	* rngu0.f は C のではなく Fortran90 の関数を使うようにした.
	* テクトロニクス上でうまく動作しなかった物を修正した。
		豊田 (toyoda@gfd-dennou.org) reported [dcdvlop:2012/01/29]

2012/01/29	乙部 (otobe@gfd-dennou.org)

	* 地図投影番号 16--19, 24, 34 が使えるように、追加
		大塚 (otsuka@gfd-dennou.org) reported [dcdvlop:2012/02/02]
	* dcl-5.4.2 のリリース

2012/02/13	乙部 (otobe@gfd-dennou.org)

	* 極座標で動軽方向が [-180.,180.] だったのを [0,360]でも描けるようにした。
	  ただしアドホックな対応。
		竹広 (takepiro@gfd-dennou.org) reported [dcdvlop:2012/02/04]
		塩谷 (shiotani@gfd-dennou.org) suggested [dcdvlop:2012/02/06]
	* dcl-5.4.3 のリリース

2012/02/15	乙部 (otobe@gfd-dennou.org) 神代 (koushiro@gfd-dennou.org) reported [dcdvlop:2012/02/13]

	* f2c で Warning が出ないようにパッチ
        * LCMCHの初期値を変更（カラーマップをすぐ変更できるように）
        * 76 番以降のカラーマップが間違っていたのを戻した。
        * マイナーバグフィックス

2012/02/15	乙部 (otobe@gfd-dennou.org)

	* IWS のデフォルトを0に変更
        * X ではカラーマップがすぐ変更できない警告を出すようにした.

2012/02/17	乙部 (otobe@gfd-dennou.org)

	* 地図投影番号 16--19, 24, 34 が使えるように、追加
		大塚 (otsuka@gfd-dennou.org) patched [dcdvlop:2012/02/17]

2012/02/18	乙部 (otobe@gfd-dennou.org) 神代 (koushiro@gfd-dennou.org) reported [dcdvlop:2012/02/18]

	* 2/13 のアドホックなパッチは変換番号5のときのみ作用するようにした.
   
	* dcl-5.4.4 のリリース

2012/02/18	乙部 (otobe@gfd-dennou.org) 神代 (koushiro@gfd-dennou.org) reported [dcdvlop:2012/02/23]

	* f2c 用のパッチや aclocal などのパッチをあてた。
   

2012/02/26 	乙部 (otobe@gfd-dennou.org) 辻野 (satoki@rain.hyarc.nagoya-u.ac.jp) reported [dcdvlop:2012/02/23]

	* UETONFでIBGCLIが有効になっていなかったのを修正.

2012/03/29 	乙部 (otobe@gfd-dennou.org) 神代 (koushiro@gfd-dennou.org) reported [dcdvlop:2012/02/28]

	* UIPDA3 を作成.デモを修正
        * UIPD3Z のデモがおかしい。
        * Xで座標軸の色が黒に戻らないときがあるのを修正。
        * WINAPIで座標軸の色が黒に戻らないときがあるのを修正。

	* dcl-5.4.5 のリリース

2012/10/04 	乙部 (otobe@gfd-dennou.org) 堀之内 (horinout@gfd-dennou.org) reported [dcusers:2012/10/03]

	* GTKの描画時にオブジェクトの描画が逐次されない問題を修正。メッセージがたまっていた。

	* dcl-5.4.6 のリリース

2012/12/07 	乙部 (otobe@gfd-dennou.org) 堀之内 (horinout@gfd-dennou.org) reported [dcusers:2012/11/05]

	* GTK で細かいオブジェクト描画時、ほかのデバイスより明らかに遅い問題を修正。
	  描画されるたびにWindow全体を再描画していたので描画した部分（矩形）のみ書き換えるようにした。

	* dcl-5.4.7 のリリース
